class Food extends Element
{
  Food(World world)
  {
    super(world);
    rad = energy * 30 / genes.get("energyStart", 2) + 5; 
    mass = rad * 2;
  }
  Food(World w, PVector p)
  {
    super(w, p);
    rad = energy * 30 / genes.get("energyStart", 2) + 5; 
    mass = rad * 2;
  }
  Food(Food parent)
  {
    super(parent);
  }

  void update()
  {     
    // life
    energy += world.light * genes.get("feedEffect") / 10;

    // reproduction
    if(energy > 1.5 * genes.get("energyStart") && genes.get("reproductionAbility") > random(2))
    {
      new Food(this);
      energy += genes.get("reproductionEffect");
    }

    /* the life state of close elements affect feeding.
     float closeFoods = 0;
     for(int i=0; i < world.size(); i++)
     {
     Element e = (Element)world.get(i);
     if(e instanceof Food && e.distance(this) <= rad + e.rad + 5)
     closeFoods += (e.energy - e.genes.get("energyStart")) / 20;
     }
     energy += (genes.get("feedEffect") * closeFoods) / frameRate;
     */

    // color
    int test = int(energy * 255 / genes.get("energyStart", 2));
    col = color(255 - test,  100 + test, 0);

    // radius
    if(energy < genes.get("energyStart"))
      rad = energy * 30 / genes.get("energyStart", 2) + 5; 

    // do all other things from super class
    super.update();
    cohesion(childs, 5);
  }

  void display()
  {
    fill(col, 50);
    stroke(col);
    strokeWeight(4);
    super.display();
  }
}


