/**
 * FpsCounter class for Processing, 
 * Nicolas Liautaud 2009
 * <br/>
 * Using exemple :
 * 
 * FpsCounter fps = new FpsCounter();
 * void draw(){
 * fps.display();
 * }
 */
 
FpsCounter fps = new FpsCounter();

class FpsCounter
{
  PVector position;
  float size;
  PFont font;
  int digits;
  private boolean change;
  private float fps, time;

  FpsCounter(){
    init(0,15);
  }
  FpsCounter(int x, int y){
    init(x,y);
  }
  private void init(int x, int y){
    change = true;
    position = new PVector(x, y);
    size = 10;
    digits = 1;
    font = createFont("Arial",1);
  }
  void display(){
    time = millis();
    if(change && time%2 == 0){
      fps = roundTo(frameRate, digits);
      change = false;
    }
    else if(!change && time%2 != 0) change = true;
    display(fps);
  }
  private void display(float fps){
    textFont(font, size);
    fill(0);
    text("FPS " + fps, position.x, position.y);
  }
  float roundTo(float a, int d){
    return round(a * pow(10,d)) / pow(10,d);
  }
}



