class Genome
{
  ArrayList genes;

  Genome()
  {
    genes = new ArrayList();
  }
  
  int size()
  {
    return genes.size();
  }
  
  void add(Gene g)
  {
    genes.add(g);
  }
  float add(String name, float mn, float mx)
  {
    float val = random(mn, mx);
    add(name, mn,  mx, val);
    return val;
  }
  void add(String name, float mn, float mx, float val)
  {
    Gene g = new Gene(name, mn, mx, val);
    genes.add(g);
  }

  int getIndex(String name)
  {
    for(int i=0; i < genes.size(); i++)
    {
      ArrayList gene = (ArrayList)genes.get(i);
      if(gene.get(0) == name)
        return i;
    }
    return -1;
  }

  Gene get(int geneIndex)
  {
    if(geneIndex > -1)
      return (Gene)genes.get(geneIndex);
    else return null;
  }
  
  Float get(String name)
  {
    return get(name, 3); // by default get the gene value
  }
  Float get(String name, int valueIndex)
  {
    if(valueIndex > 0)
    {
      for(int i=0; i < genes.size(); i++)
      {
        Gene gene = (Gene)genes.get(i);
        if(gene.name() == name)
          return (Float)gene.get(valueIndex);
      }
    }
    return null;
  }

  void set(String geneName, float value)
  {
    set(geneName, 3, value); // by default set the gene value
  }
  void set(String geneName, int index, float value)
  {
    int i = getIndex(geneName);
    Gene gene = (Gene)genes.get(i);
    gene.set(index, value);
    genes.set(i, gene);
  }

  void print()
  {
    for(int i=0; i < genes.size(); i++)
      println(genes.get(i));
  }
}

class Gene
{
  ArrayList gene;

  Gene(Gene g)
  {
    gene = new ArrayList(4);
    for(int i=0; i < g.gene.size(); i++)
      gene.add(g.gene.get(i));
  }
  Gene(String name, float mn, float mx)
  {
    this(name, mn,  mx, random(mn, mx));
  }
  Gene(String name, float mn, float mx, float val)
  {
    gene = new ArrayList(4);
    gene.add(name);
    gene.add(mn);
    gene.add(mx);
    gene.add(val);
  }

  Float get()
  {
    return (Float)gene.get(3); // by default get the gene value
  }
  Float get(int i)
  {
    return (Float)gene.get(i);
  }

  void set(float value)
  {
    gene.set(3, value); // by default set the gene value
  }
  void set(int index, float value)
  {
    gene.set(index, value);
  }
  
  String name()
  {
    return (String)gene.get(0);
  }
}
